config/routes.rb
Rails.application.routes.draw do
  root to: 'home#index'

  namespace :admin do 
    resources :testimonials
    resources :images
  end

  get '/:id', to: 'images#show', as: :image
  get '/t/:id', to: 'testimonials#show', as: :testimonial

  match "*path", to: 'home#index', via: :all
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/image.rb
class Image < ApplicationRecord
  has_attached_file :file, :styles => {original: 'unused_option'}, processors: [:tinypng]
  validates_attachment_content_type :file, content_type: /\Aimage\/.*\z/
  scope :for_gallery, -> { where(gallery: true) }
  validates_presence_of :title#, :short_description, :description

  def self.random
    order("RANDOM()")
  end

  def self.find_by_slug(slug)
    Image.all.select{|image| image.slug == slug}.first
  end

  def slug
    title.present? ? title.downcase.strip.gsub(' ', '-').gsub(/[^\w-]/, '') : 'dummy'
  end

  def to_param
    slug
  end

  def flickr_embed_code
    %{<object width="800" height="600"> <param name="flashvars" value="offsite=true&lang=en-us&page_show_url=#{URI.escape(flickr_show_url)}&page_show_back_url=#{URI.escape(flickr_show_back_url)}"></param> <param name="movie" value="https://www.flickr.com/apps/slideshow/show.swf?v=261948265"></param> <param name="allowFullScreen" value="true"></param><embed type="application/x-shockwave-flash" src="https://www.flickr.com/apps/slideshow/show.swf?v=261948265" allowFullScreen="true" flashvars="offsite=true&lang=en-us&page_show_url=#{URI.escape(flickr_show_url)}&page_show_back_url=#{URI.escape(flickr_show_back_url)}" width="400" height="300"></embed></object>}
  end

  def flickr_set_id
    flickr_url.split('/')[6]
  end

  def flickr_show_url
    flickr_url.gsub('https://www.flickr.com','') +  '/show'
  end

  def flickr_show_back_url
    flickr_url.gsub('https://www.flickr.com','').gsub('albums','sets') + "/&set_id=#{flickr_set_id}&jump_to="
  end
end

app/models/testimonial.rb
class Testimonial < ApplicationRecord
  has_attached_file :image #, :styles => {original: 'unused_option'}, processors: [:tinypng]
  validates_attachment_content_type :image, content_type: /\Aimage\/.*\z/

  def self.find_by_slug(slug)
    Testimonial.all.select{|image| image.slug == slug}.first
  end

  def slug
    name.downcase.strip.gsub(' ', '-').gsub(/[^\w-]/, '')
  end

  def to_param
    slug
  end
end

app/controllers/admin/application_controller.rb
class Admin::ApplicationController < ActionController::Base
  layout 'admin'
  
  http_basic_authenticate_with name: "jays", password: "jumshid123"
end

app/controllers/admin/images_controller.rb
class Admin::ImagesController < Admin::ApplicationController
  before_filter :set_active_tab
  before_filter :find_image, except: [:index, :new, :create]

  def index
    @images = Image.all
  end

  def create
    @image = Image.new(image_params)
    if @image.save
      redirect_to admin_images_path
    else
      render 'new'
    end
  end

  def new
    @image = Image.new
  end

  def update
    if @image.update_attributes(image_params)
      redirect_to admin_images_path
    else
      render 'edit'
    end
  end

  def edit
  end

  def destroy
    @image.destroy
    redirect_to admin_images_path
  end

  private

  def find_image
    @image = Image.find(params[:id])
  end

  def image_params
    params.require(:image).permit(:title, :description, :file, :short_description, :flickr_url)
  end

  def set_active_tab
    @active_tab = "Images"
  end
end

app/controllers/admin/testimonials_controller.rb
class Admin::TestimonialsController < Admin::ApplicationController
  before_filter :set_active_tab
  before_filter :find_testimonial, except: [:index, :new, :create]

  def index
    @testimonials = Testimonial.all
  end

  def create
    @testimonial = Testimonial.new(testimonial_params)
    if @testimonial.save
      redirect_to admin_testimonials_path
    else
      render 'new'
    end
  end

  def new
    @testimonial = Testimonial.new
  end

  def update
    if @testimonial.update_attributes(testimonial_params)
      redirect_to admin_testimonials_path
    else
      render 'edit'
    end
  end

  def edit
  end

  def destroy
    @testimonial.destroy
    redirect_to admin_testimonials_path
  end

  private

  def find_testimonial
    @testimonial = Testimonial.find_by_slug(params[:id])
  end

  def testimonial_params
    params.require(:testimonial).permit(:name, :title, :description, :image)
  end

  def set_active_tab
    @active_tab = "Testimonials"
  end
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  layout 'application'
  protect_from_forgery with: :exception
end

app/controllers/home_controller.rb
class HomeController < ApplicationController
  layout :false
  
  def index
    @testimonials = Testimonial.all
    @images       = Image.for_gallery.random.limit(3)
  end
end

app/controllers/images_controller.rb
class ImagesController < ApplicationController
  def show
    @image = Image.find_by_slug(params[:id])

    @share_image = @image.file.url
    @share_title = @image.title
    @share_description = @image.short_description.present? ? @image.short_description : nil
    @share_url   = image_url(@image)
  end
end

app/controllers/testimonials_controller.rb
class TestimonialsController < ApplicationController
  def show
    @testimonial = Testimonial.find_by_slug(params[:id])
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/images_helper.rb
module ImagesHelper
end

app/views/admin/images/_fields.html.haml
.form-group
  %label Title
  = f.text_field :title, class: 'form-control'

.form-group
  %label Short Description
  = f.text_area :short_description, class: 'form-control'

.form-group
  %label Description
  = f.text_area :description, class: 'form-control wysihtml5'
  
.form-group
  %label Featured Image
  = f.file_field :file, class: 'form-control'

.form-group
  %label Flickr URL
  = f.text_field :flickr_url, class: 'form-control'

app/views/admin/images/edit.html.haml
.row
  .col-lg-12
    %h1.page-header
      Editing image
    
    .row
      .col-lg-12
        = form_for [:admin, @image], url: admin_image_path(id: @image.id), html: {multipart: true, method: :put} do |f|

          = render partial: 'fields', locals: {f: f}
          
          
          %button.btn.btn-default{:type => "submit"} Update

app/views/admin/images/index.html.haml
.row
  .col-lg-12
    %h1.page-header
      Posts
      %a.pull-right.btn.btn-primary{:href => new_admin_image_path} Add new

    .row
      .col-sm-5
        %ul.list-group
          - @images.each do |image|
            %li.list-group-item
              .title= image.title
              = link_to 'Preview', image, target: '_blank'
              |
              = link_to 'Edit', edit_admin_image_path(id: image.id)
              |
              = link_to 'Delete', admin_image_path(id: image.id), method: :delete, data: {confirm: 'Are you sure?'}
      

app/views/admin/images/new.html.haml
.row
  .col-lg-12
    %h1.page-header
      New image
  
    .row
      .col-lg-6
        = form_for [:admin, @image], html: {url: admin_images_path, method: :post, multipart: true} do |f|

          = render partial: 'fields', locals: {f: f}
          
          
          %button.btn.btn-default{:type => "submit"} Save














        

app/views/admin/shared/_head.html.haml
%head
  %meta{:charset => "utf-8"}/
  %meta{:content => "IE=edge", "http-equiv" => "X-UA-Compatible"}/
  %meta{:content => "width=device-width, initial-scale=1", :name => "viewport"}/
  %meta{:content => "", :name => "description"}/
  %meta{:content => "", :name => "author"}/
  %title JAYS - Admin
  / Bootstrap Core CSS
  %link{:href => "/startbootstrap-sb-admin-gh-pages/css/bootstrap.min.css", :rel => "stylesheet"}/
  / Custom CSS
  %link{:href => "/startbootstrap-sb-admin-gh-pages/css/sb-admin.css", :rel => "stylesheet"}/
  / Morris Charts CSS
  %link{:href => "/startbootstrap-sb-admin-gh-pages/css/plugins/morris.css", :rel => "stylesheet"}/
  / Custom Fonts
  %link{:href => "/startbootstrap-sb-admin-gh-pages/font-awesome/css/font-awesome.min.css", :rel => "stylesheet", :type => "text/css"}/

  = stylesheet_link_tag 'application'
  

app/views/admin/testimonials/_fields.html.haml
.form-group
  %label Name
  = f.text_field :name, class: 'form-control'

.form-group
  %label Title
  = f.text_field :title, class: 'form-control'
  
.form-group
  %label Body
  = f.text_area :description, class: 'form-control', style: 'height: 200px;'

.form-group
  %label Body
  = f.file_field :image, class: 'form-control'

app/views/admin/testimonials/edit.html.haml
.row
  .col-lg-12
    %h1.page-header
      Editing testimonial
    
    .row
      .col-lg-6
        = form_for [:admin, @testimonial], html: {multipart: true} do |f|

          = render partial: 'fields', locals: {f: f}
          
          
          %button.btn.btn-default{:type => "submit"} Update

app/views/admin/testimonials/index.html.haml
.row
  .col-lg-12
    %h1.page-header
      Testimonials
      %a.pull-right.btn.btn-primary{:href => new_admin_testimonial_path} Add new

    .row
      .col-sm-4
        %ul.list-group
          - @testimonials.each do |testimonial|
            %li.list-group-item
              = testimonial.name
              = link_to 'Preview', testimonial_path(testimonial), target: '_blank'
              |
              = link_to 'Edit', edit_admin_testimonial_path(testimonial)
              |
              = link_to 'Delete', admin_testimonial_path(testimonial), method: :delete, data: {confirm: 'Are you sure?'}
      

app/views/admin/testimonials/new.html.haml
.row
  .col-lg-12
    %h1.page-header
      New testimonial
  
    .row
      .col-lg-6
        = form_for [:admin, @testimonial], html: {url: admin_testimonials_path, method: :post, multipart: true} do |f|

          = render partial: 'fields', locals: {f: f}
          
          
          %button.btn.btn-default{:type => "submit"} Save














        

app/views/home/_about.html.haml
#about.about
  .container
    .about-grids
      .col-md-5.w3_about_grid_left
        %h3
          Welcome
          %span To
          %i JAYS
      .col-md-7.about_grid_right_w3agile
        %p
          %span
            JAYS is a traditional Gurukulam dedicated to the teachings and practice of Yoga. Our mission is to educate and train human beings in their quest for self realisation. As a traditional gurukulam, JAYS is committed in maintaining highest standards in furthering traditional Yogic practices. Our gurukulam teaches you by rigorous practice, intensive advising, active learning, exciting and productive learning environment. If you are new to Yoga or if you've practised in the past, at JAYS you will taught slowly, safely and at a pace that is suitable for you.
          %br/


      .clearfix
.about-bottom
  .container
    .about-grids-bottom
      .col-md-6.about-grids-bottom-left
      .col-md-6.agileinfo_about_grids_bottom_right
        %img.img-responsive{:alt => " ", :src => "images/1.jpg"}/
        .agileinfo_about_grids_bottom_right-pos

          %p
            By Learning Yoga You Begin To Understand Your “Self”
          %p
            By Practicing Yoga You Begin To Experience Your “Self”
          %p 
            By Experiencing Yoga You Begin To Realize The Truth Within Your “Self”
          %p
            By Realizing The Truth You Begin To Live In Oneness With Almighty
          %p
            “The Power Of Yoga – The True Nature”
          %p
            Om Tat Sat
          %h3 Jumshid Chaitanya
          %p
            = link_to "Read more...", "/about-acharya", target: '_blank'
          
            


      .clearfix

app/views/home/_banner.html.haml
.banner
  .container
    %nav.navbar.navbar-default
      / Brand and toggle get grouped for better mobile display
      .navbar-header
        %button.navbar-toggle.collapsed{"data-target" => "#bs-example-navbar-collapse-1", "data-toggle" => "collapse", :type => "button"}
          %span.sr-only Toggle navigation
          %span.icon-bar
          %span.icon-bar
          %span.icon-bar
        .logo
          %h1
            %a.navbar-brand{:href => "index.html"} JAYS
      / Collect the nav links, forms, and other content for toggling
      #bs-example-navbar-collapse-1.collapse.navbar-collapse.nav-wil
        %nav#link-effect-2.link-effect-2
          %ul.nav.navbar-nav
            %li
              %a{:href => "https://goo.gl/J5jqwu", :target => "_blank"}
                %span{"data-hover" => "Location"} Location
            %li
              %a.scroll{:href => "#services"}
                %span{"data-hover" => "Courses"} Courses
            %li
              %a{:href => "http://www.jays.yoga/photo-gallery"}
                %span{"data-hover" => "Gallery"} Gallery
            
      / /.navbar-collapse
    .banner-info
      %h2 Jumshid's Ashtanga Yoga Sthalam
      %p Experience the Power of Yoga
      .more{:style => "visibility: hidden;"}
        %a.hvr-shutter-in-vertical{"data-target" => "#myModal", "data-toggle" => "modal", :href => "#"}
          Read More
          %span.glyphicon.glyphicon-arrow-right
      / modal-video
      #myModal.modal.video-modal.fade{"aria-labelledby" => "myModal", :role => "dialog", :tabindex => "-1"}
        .modal-dialog{:role => "document"}
          .modal-content
            .modal-header
              %h4 JAYS
              %button.close{"aria-label" => "Close", "data-dismiss" => "modal", :type => "button"}
                %span{"aria-hidden" => "true"} &#215;
            %section
              .modal-body
                %p
                  Ut enim ad minima veniam, quis nostrum
                  exercitationem ullam corporis suscipit laboriosam,
                  nisi ut aliquid ex ea commodi consequatur? Quis autem
                  vel eum iure reprehenderit qui in ea voluptate velit
                  esse quam nihil molestiae consequatur, vel illum qui
                  dolorem eum fugiat quo voluptas nulla pariatur.
                  %i
                    " Quis autem vel eum iure reprehenderit qui in ea voluptate velit
                    esse quam nihil molestiae consequatur.
      .social_icons
        %ul
          %li
            %a.icon.icon-cube.facebook{:href => "https://www.facebook.com/jaysyogamysore/", target: '_blank'}
          %li
            %a.icon.icon-cube.rss{:href => "#"}
          %li
            %a.icon.icon-cube.instagram{:href => "#"}
          %li
            %a.icon.icon-cube.t{:href => "#"}

app/views/home/_contact.html.haml
#mail.contact
  .container
    %h3 Get in touch
    .contact-grids
      .col-md-6.contact-grid
        %form#contact_form{:action => "#", :method => "post"}
          %input{:name => "Name", :onblur => "if (this.value == '') {this.value = 'Name';}", :onfocus => "this.value = '';", :required => "", :type => "text", :value => "Name"}/
          %input{:name => "Email", :onblur => "if (this.value == '') {this.value = 'Email';}", :onfocus => "this.value = '';", :required => "", :type => "email", :value => "Email"}/
      .col-md-6.contact-grid
        %form{:action => "#", :method => "post"}
          %input{:name => "Phone", :onblur => "if (this.value == '') {this.value = 'Phone';}", :onfocus => "this.value = '';", :required => "", :type => "text", :value => "Phone"}/
          %input{:name => "Subject", :onblur => "if (this.value == '') {this.value = 'Subject';}", :onfocus => "this.value = '';", :required => "", :type => "text", :value => "Subject"}/
      .clearfix
      %form{:action => "#", :method => "post"}
        %textarea{:name => "Message", :onblur => "if (this.value == '') {this.value = 'Message...';}", :onfocus => "this.value = '';", :required => ""} Message...
        %input#form_submit{:type => "submit", :value => "Submit Form"}/

app/views/home/_courses.html.haml
#services.services
  .container
    %h3 Courses
    / <p class="aut">Temporibus autem quibusdam et aut officiis debitis aut rerum.</p>
    .wthree_services_grids
      .col-md-12.wthree_services_grid
        .col-xs-12.wthree_services_grid-right

          %p 
            %b
              Ashtanga yoga 
            is a system of yoga compiled by Sage Patanjali in his Yoga Sutras. Ashtanga literally means eight limbs containing; Yama (moral codes), Niyama (self-purification and study), Asana (posture), Pranayama (breath control), Pratyahara (sense control), Dharana (concentration), Dhyana (meditation) and Samadhi. 
          %br/
        .clearfix

    .wthree_services_grids
      .col-md-12.wthree_services_grid
        .col-xs-12.wthree_services_grid-right
          %p 
            %b Ashtanga Vinyasa Yoga
            is based on Patanjali’s Yoga Sutras. It is a disciplined practice involving sequence of postures (asanas) synchronized with breath, gaze (drishti), bandhas and mudras. Vinyasa means breathing and movement system. For each movement, there is one breath. The importance of Ashtanga vinyasa yoga practice was popularized by Shri T. Krishnamacharya, in the 1900’s mainly in Mysore. 
          %br/
          .clearfix
    .wthree_services_grids
    .col-md-12.wthree_services_grid
      .col-xs-12.wthree_services_grid-right
        
        %p 
          Ashtanga Vinyasa yoga, is intense and physically demanding form of asana practice that stretches, twists and helps balance the body, mind and awaken the consciousness. The purpose of vinyasa is for internal cleansing and strengthening of the body and mind so that we are ready to assimilate and comprehend the immeasurable gift that the universe has to offer us and give back something that is beautiful, pristine and joyful.
        %br/
        %p Vinyasa practice is not merely a bodily exercise but is a tool to increase body’s awareness, a technique aimed at liberating the consciousness from old and habitual way of thinking and lifestyle, a journey of transformation and the art of being and acting in the moment. The practice also involves meditation, the most instrumental tool mankind has that accumulates power in silence and sets free the soul of its worldly trappings. 
        %br/ 
        %p Master the Ashtanga Vinyasa practice with dedication, devotion, and perseverance and reap the fruits of a lithe, flexible, and strong body and mind that happens to be merely a by-product of the work of awakening of the consciousness.
        %br/
      .clearfix
    .wthree_services_grids
      .col-md-12.wthree_services_grid
        .col-xs-12.wthree_services_grid-right
          %p
            %b
              Pranayama  Meditation
            %p The term Pranayama is often translated as the control or restraint of Prana. Prana is the life-force that pervades the body. It connects the body and the mind. By controlling the motion of the respiratory organs, we can control the Prana that is vibrating inside. By control of Prana, the mind can be easily controlled, because the mind is fastened to the Prana.
          %p
            "Meditation is an experience that cannot be described, just as colors cannot be described to a blind man. All ordinary experience is limited by Time, Space and Causation. Our normal awareness and understanding do not transcend these bounds." One cannot learn to meditate, anymore than one can learn to sleep. One falls into both states. Meditation - it is both very complex and utterly simple at the same time.
          %br/
        .clearfix
    .wthree_services_grids
      .col-md-12.wthree_services_grid
        .col-xs-12.wthree_services_grid-right
          %p
            %b
              General Asana Practice
          %p These classes for those who want to do regular Yoga Asana practice under the guidance of a teacher for their better life. In these classes they will be taught breathing excercises(Yogic excercises), various types of sun salutations also different Asanas according to the student's level of understanding. Each session is of one hour. This practice is immensely beneficial for the students physically as well as mentally and lead them eventually to a Yogic way of life. These classes are well co-ordinated with proper breathing excercises to open up various parts of the student's body and to channel energy enabling better heath.
          %p These classes are suitable for students of all age groups, above 12 years.
          %br/
      .clearfix

    .wthree_services_grids
      .col-md-12.wthree_services_grid
        .col-xs-12.wthree_services_grid-right
          %p
            %b
              Professional Ashtanga Vinyasa Teachers Training Course
          %p
            These classes for those who want to do regular Yoga Asana practice under the guidance of a teacher for their better life. In these classes they will be taught breathing excercises(Yogic excercises), various types of sun salutations also different Asanas according to the student's level of understanding. Each session is of one hour. This practice is immensely beneficial for the students physically as well as mentally and lead them eventually to a Yogic way of life. These classes are well co-ordinated with proper breathing excercises to open up various parts of the student's body and to channel energy enabling better heath.
          %p
            These classes are suitable for students of all age groups, above 12 years.
      
      <div class="clearfix"> </div>
      

app/views/home/_footer.html.haml
.copy-right
  .container
    .social_icons
      %ul
        %li
          %a.icon.icon-cube.facebook{:href => "https://www.facebook.com/jaysyogamysore/", target: '_blank'}
        %li
          %a.icon.icon-cube.rss{:href => "#"}
        %li
          %a.icon.icon-cube.instagram{:href => "#"}
        %li
          %a.icon.icon-cube.t{:href => "#"}

app/views/home/_head.html.haml
%title Jumshid's Ashtanga Yoga Sthalam | JAYS Yoga
/ for-mobile-apps
%meta{:content => "width=device-width, initial-scale=1", :name => "viewport"}/
%meta{:content => "text/html; charset=utf-8", "http-equiv" => "Content-Type"}/

%meta{:content => @share_url || "http://www.jays.yoga", :property => "og:url"}/
%meta{:content => "website", :property => "og:type"}/
%meta{:content => @share_title || "Jumshid's Ashtanga Yoga Sthalam", :property => "og:title"}/
%meta{:content => @share_description || "Traditional Ashtanga and Hatha Yoga classes in Mysore", :property => "og:description"}/
%meta{:content => @share_description || "Traditional Ashtanga and Hatha Yoga classes in Mysore", :name => "description"}/
%meta{:content => @share_image || "http://www.jays.yoga/images/1.jpg", :property => "og:image"}/
%meta{:content => @share_image || "http://www.jays.yoga/images/1.jpg", :property => "og:image:url"}/
%meta{:content => "image/jpg", :property => "og:image:type"}/
%meta{:content => "1245590315562046", :property => "fb:app_id"}/

%link{:href => "/css/bootstrap.css", :media => "all", :rel => "stylesheet", :type => "text/css"}/
%link{:href => "/css/style.css", :media => "all", :rel => "stylesheet", :type => "text/css"}/
%link{:href => "/favicon.png", :rel => "shortcut icon", :type => "image/png"}/

%script{:async => "", :src => "/js/jquery-2.1.4.min.js", :type => "text/javascript"}
%script{:async => "", :src => "/js/bootstrap.js"}

/ //for-mobile-apps
%script{:async => "", :src => "/js/easing.js", :type => "text/javascript"}

%link{:href => "//fonts.googleapis.com/css?family=Cabin:400,400italic,500,500italic,600,600italic,700,700italic", :rel => "stylesheet", :type => "text/css"}/

%link{:href => "//fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic", :rel => "stylesheet", :type => "text/css"}/
/ start-smoth-scrolling

%script{:src => "http://code.jquery.com/jquery-1.11.2.min.js"}
%script{:src => "http://code.jquery.com/ui/1.11.4/jquery-ui.min.js"}
/ start niceGallery scripts
%script{:src => "/gallery/js/FlickrAPI.js", :type => "text/javascript"}
%script{:src => "/gallery/js/Flickr.Gallery.min.js", :type => "text/javascript"}
%link{:href => "/gallery/gallery.css", :rel => "stylesheet", :type => "text/css"}/
/ end niceGallery scripts


%script{:type => "application/x-javascript"}
  addEventListener("load", function() { setTimeout(hideURLbar, 0); }, false);
  function hideURLbar(){ window.scrollTo(0,1); }

app/views/home/_photo_gallery.html.haml
#portfolio.portfolio
  .container
    -# %h3 Gallery
    .portfolio_grid_w3lss
      - @images.each do |image|
        .col-md-4.portfolio_grid_w3ls
          .view.second-effect
            %a.zb{:href => image_path(id: image.to_param), :rel => " ", :title => image.title}
              %img.img-responsive{:alt => image.title, :src => image.file.url}/
              .mask
                %p= image.title
      
  

app/views/home/_seo.html.erb
<script type="application/ld+json">
{
  "@context": "http://schema.org",
  "@type": "LocalBusiness",
  "address": {
    "@type": "PostalAddress",
    "addressLocality": "Mysore",
    "addressRegion": "Karnataka, India",
    "streetAddress": "No. 2842, 7th Cross, 6th Main Rd, Vani Vilas Mohalla"
  },
  "description": "Traditional Ashtanga and Hatha Yoga classes in Mysore",
  "name": "Jumshid's Ashtanga Yoga Sthalam",
  "telephone": "+91 87625 54857"
}
</script>

app/views/home/_testimonials.html.haml
.team
  .container
    %h3 Testimonials
    /
      <p class="aut autem">Temporibus autem quibusdam et aut officiis debitis aut rerum.</p>
    .team-grids
      - @testimonials.each do |testimonial|
        .col-md-3.team-grid
          .w3l_team_grd
            %img.img-responsive{:size => '691×822', :alt => testimonial.title, :src => testimonial.image.url}/
          .team_grid1_agileits
            %h4
              = testimonial.name
              %span= testimonial.title
            %p= truncate(testimonial.description, length: 100)
            %a.button.button--green{:href => testimonial_path(id: testimonial.to_param)} Read More
      
      .clearfix

app/views/home/_video.html.haml
.portfolio-video
  .container
    %h3
    %p
    %h4
    %a.play-icon.popup-with-zoom-anim{:href => "#small-dialog"}
      %span.glyphicon.glyphicon-play-circle{"aria-hidden" => "true"}
    / pop-up-box
    %link{:href => "css/popuo-box.css", :media => "all", :property => "", :rel => "stylesheet", :type => "text/css"}/
    %script{:src => "js/jquery.magnific-popup.js", :type => "text/javascript"}
    / //pop-up-box
    #small-dialog.mfp-hide
      %iframe{:src => "https://player.vimeo.com/video/37111758"}
    :javascript
      $(document).ready(function() {
      $('.popup-with-zoom-anim').magnificPopup({
        type: 'inline',
        fixedContentPos: false,
        fixedBgPos: true,
        overflowY: 'auto',
        closeBtnInside: true,
        preloader: false,
        midClick: true,
        removalDelay: 300,
        mainClass: 'my-mfp-zoom-in'
      });
                                      
      });

app/views/home/_whatshelp.html.erb
<!-- WhatsHelp.io widget -->
<script type="text/javascript">
    (function () {
        var options = {
            facebook: "1800699550202432", // Facebook page ID
            whatsapp: "+918762556957", // WhatsApp number
            email: "guru@jays.yoga", // Email
            sms: "+918762556957", // Sms phone number
            call: "+918762556957", // Call phone number
            company_logo_url: "//scontent.xx.fbcdn.net/v/t1.0-1/p100x100/16730255_1850154558590264_3059101614020873694_n.jpg?oh=0456053553fab98858261659318e1c34&oe=59467B05", // URL of company logo (png, jpg, gif)
            greeting_message: "Namaste! We look forward to get in touch with you.", // Text of greeting message
            call_to_action: "Get in touch", // Call to action
            wa_vb_message: "Add the number to the Contacts on your phone and send us a message via app.", // Message for WhatsApp
            button_color: "#129BF4", // Color of button
            position: "right", // Position may be 'right' or 'left'
            order: "facebook,whatsapp,call,email,sms" // Order of buttons
        };
        var proto = document.location.protocol, host = "whatshelp.io", url = proto + "//static." + host;
        var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = url + '/widget-send-button/js/init.js';
        s.onload = function () { WhWidgetSendButton.init(host, proto, options); };
        var x = document.getElementsByTagName('script')[0]; x.parentNode.insertBefore(s, x);
    })();
</script>
<!-- /WhatsHelp.io widget -->

app/views/testimonials/show.html.haml
= render partial: 'testimonial'
    
      